Renames an entry defined by its index

- « ZipArchive::registerProgressCallback

- ZipArchive::renameName »

- PHP Manual
- ZipArchive
- Renames an entry defined by its index

# ZipArchive::renameIndex

(PHP 5 >= 5.2.0, PHP 7, PHP 8, PECL zip >= 1.5.0)

ZipArchive::renameIndex — Renames an entry defined by its index

### Description

public ZipArchive::renameIndex(int `$index`, string `$new_name`): bool

Renames an entry defined by its index.

### Parameters

`index`

  Index of the entry to rename.

`new_name`

  New name.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Rename one entry

    <?php$zip = new ZipArchive;$res = $zip->open('test.zip');if ($res === TRUE) {    $zip->renameIndex(2,'newname.txt');    $zip->close();} else {    echo 'failed, code:' . $res;}?>